Is Posible To Run Msn in Windows 2000

Yes or No it is possible

It’s very possible!, I think you have to use MSN 1.0 or 3.0

or 4.0

or yeah, 4.0

1.0 - 4.7.106 work as long as you enabled old msn support on your account

maximum messenger 5.0

This post was flagged by the community and is temporarily hidden.

msn 5.0 works but it needs some extra modfications, < 4.7.2005 work without any

says who